Skip to main content
GET
/
metrics
List metrics
curl --request GET \
  --url https://api.withorb.com/v1/metrics \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "metadata": {},
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "status": "active",
      "item": {
        "metadata": {},
        "id": "<string>",
        "name": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "external_connections": [
          {
            "external_connection_name": "stripe",
            "external_entity_id": "<string>"
          }
        ],
        "archived_at": "2023-11-07T05:31:56Z"
      },
      "parameter_definitions": [
        {}
      ]
    }
  ],
  "pagination_metadata": {
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.withorb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Query Parameters

limit
integer
default:20

The number of items to fetch. Defaults to 20.

Required range: 1 <= x <= 100
cursor
string | null

Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.

created_at[gte]
string<date-time> | null
created_at[gt]
string<date-time> | null
created_at[lt]
string<date-time> | null
created_at[lte]
string<date-time> | null

Response

OK

data
BillableMetric · object[]
required
pagination_metadata
PaginationMetadata · object
required